@import "./global.css";

/* HEADER */
.header {
    padding-top: 50px;

    width: 100%;

    position: absolute;
    top: 0;
    left: 0;
}

.header__menu {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-logo__icon {
    width: 150px;
    height: 64px;

    display: block;
}

.header__nav {
    display: flex;
    gap: 64px;
}

.header__link {
    font-family: var(--font-sfProText);
    font-weight: 400;

    font-size: 24px;
    line-height: 1.5em;
}

.header__burger {
    padding: 0;

    display: none;

    border: 0;
    background: transparent;

    cursor: pointer;
}

.header-burger__icon {
    width: 40px;
    height: 40px;

    display: block;
}

/* 1024 */
@media (max-width: 1239px) {
    .header__burger {
        display: block;
    }

    .header__nav {
        display: none;
    }

    .header__button {
        display: none;
    }
}

/* 360 */
@media (max-width: 767px) {
    .header {
        padding: 15px 0;
    }

    .header-logo__icon {
        width: 92px;
        height: 40px;
    }
}


/* SIDEMENU */
.sidemenu {
    width: 100%;
    height: 100vh;

    position: fixed;
    top: 0;
    left: 0;
    z-index: 3;

    display: none;

    background: rgba(11, 4, 2, .1);
    backdrop-filter: blur(75px);

    animation: blur .8s;
}

.sidemenu.sidemenu_active {
    display: block;
}

@keyframes blur {
    from {
        backdrop-filter: blur(0);
    }
    to {
        backdrop-filter: blur(75px);
    }
}

.sidemenu__inner {
    padding: 50px 40px;

    width: 100%;
    max-width: 280px;

    display: flex;
    flex-direction: column;
    align-items: flex-end;

    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;

    background: var(--color-black);

    animation: fade-in-right .8s;
}

@keyframes fade-in-right {
    from {
        opacity: 0;
        transform: translate3d(100%, 0, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

.sidemenu__burger {
    padding: 0;

    border: 0;
    background: transparent;

    cursor: pointer;
}

.sidemenu-burger__icon {
    width: 40px;
    height: 40px;

    display: block;
}

.sidemenu__nav {
    margin-top: 40px;

    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 40px;
}

.sidemenu__link {
    font-family: var(--font-sfProText);
    font-weight: 400;

    font-size: 24px;
    line-height: 1.5em;

    color: var(--color-white);
}

/* 360 */
@media (max-width: 767px) {
    .sidemenu__inner {
        padding: 15px;
    }
}


/* INTRO */
.intro {
    padding-bottom: 125px;

    height: 100vh;
    min-height: 850px;

    display: flex;
    align-items: flex-end;

    background: url("../assets/img/intro/background.png") no-repeat right center / cover;
}

.intro__text {
    max-width: 520px;

    font-size: 32px;
}

.intro__title {
    margin-top: 50px;
}

.intro__button {
    display: inline-flex;

    vertical-align: middle;
}

/* 1024 */
@media (max-width: 1239px) {
    .intro {
        padding-bottom: 100px;

        min-height: 700px;

        background: url("../assets/img/intro/background.png") no-repeat right center / cover;
    }

    .intro__text {
        max-width: 390px;

        font-size: 24px;
    }

    .intro__title {
        margin-top: 36px;

        display: flex;
        flex-direction: column-reverse;
        align-items: flex-start;
        gap: 36px;
    }
}

/* 360 */
@media (max-width: 767px) {
    .intro {
        padding-bottom: 50px;

        min-height: 600px;
    }

    .intro__text {
        max-width: 260px;

        font-size: 16px;
    }

    .intro__title {
        margin-top: 15px;

        gap: 15px;
    }
}


/* ABOUT */
.about {
    padding: 150px 0;

    background: url("../assets/img/about/background.png") no-repeat left center / contain;
}

.about__container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.about__text {
    margin-top: 36px;

    max-width: 580px;
}

.about__video {
    width: 580px;
    height: 320px;

    border: 0;
}

/* 1024 */
@media (max-width: 1239px) {
    .about {
        padding: 100px 0;

        background: none;
    }

    .about__container {
        flex-direction: column-reverse;
        gap: 20px;
    }

    .about__text {
        margin-top: 20px;

        max-width: 720px;
    }

    .about__video {
        width: 100%;
        max-width: 720px;
        height: 400px;
    }
}

/* 360 */
@media (max-width: 767px) {
    .about {
        padding: 50px 0;
    }

    .about__container {
        gap: 15px;
    }

    .about__text {
        margin-top: 15px;

        max-width: 360px;
    }

    .about__video {
        width: 100%;
        max-width: 360px;
        height: 190px;
    }
}


/* CATALOG */
.catalog {
    padding: 150px 0;
}

.catalog__head {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.catalog__body {
    margin-top: 20px;

    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.catalog__item {
    background: rgba(255, 255, 255, .05);
    backdrop-filter: blur(35px);
}

.catalog-item__head {
    position: relative;
}

.catalog-item__img {
    width: 100%;
    height: 285px;
    object-fit: cover;
}

.catalog-item__overlay {
    padding: 15px;

    width: 100%;
    height: 100%;

    display: flex;
    align-items: flex-end;

    position: absolute;
    top: 0;
    left: 0;

    background: linear-gradient(180deg, rgba(11, 4, 2, 0) 40%, rgba(11, 4, 2, 1) 100%);
}

.catalog-item__body {
    padding: 15px;

    display: flex;
    align-items: center;
    justify-content: space-between;
}

.catalog-item__price {
    font-family: var(--font-bebas);
    font-weight: 700;

    font-size: 48px;
    line-height: 1em;

    color: var(--color-orange);
}

/* 1024 */
@media (max-width: 1239px) {
    .catalog {
        padding: 100px 0;
    }

    .catalog__body {
        grid-template-columns: repeat(2, 1fr);
    }

    .catalog-item__price {
        font-size: 40px;
    }
}

/* 360 */
@media (max-width: 767px) {
    .catalog {
        padding: 50px 0;
    }

    .catalog__body {
        margin-top: 15px;

        gap: 15px;
    }

    .catalog-item__img {
        height: 170px;
    }

    .catalog-item__overlay {
        padding: 10px;
    }

    .catalog-item__body {
        padding: 10px;

        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
    }

    .catalog-item__price {
        font-family: var(--font-bebas);
        font-weight: 700;

        font-size: 24px;
        line-height: 1em;

        color: var(--color-orange);
    }
}


/* FEEDBACK */
.feedback {
    padding: 150px 0;

    background: url("../assets/img/feedback/background.png") no-repeat center / cover;
}

.feedback__title {
    text-align: center;
}

.feedback__slider {
    margin-top: 36px;
}

.feedback__item {
    background: rgba(255, 255, 255, .05);
    backdrop-filter: blur(35px);
}

.feedback-item__head {
    position: relative;
}

.feedback-item__img {
    width: 100%;
    height: 370px;
    object-fit: cover;
}

.feedback-item__overlay {
    padding: 15px;

    width: 100%;
    height: 100%;

    display: flex;
    align-items: flex-end;

    position: absolute;
    top: 0;
    left: 0;

    background: linear-gradient(180deg, rgba(11, 4, 2, 0) 40%, rgba(11, 4, 2, 1) 100%);
}

.feedback-item__body {
    padding: 15px;
}

.feedback__pagination {
    margin-top: 36px;

    display: flex;
    justify-content: center;
    gap: 15px;
}

.feedback__pagination .swiper-pagination-bullet {
    margin: 0;

    width: 15px;
    height: 15px;

    display: block;

    border-radius: 0;
    background: rgba(255, 255, 255, .65);
    opacity: 1;

    cursor: pointer;
}

.feedback__pagination .swiper-pagination-bullet-active {
    background: var(--color-orange);
}

/* 1024 */
@media (max-width: 1239px) {
    .feedback {
        padding: 100px 0;
    }

    .feedback-item__img {
        height: 330px;
    }

    .feedback__pagination {
        display: none;
    }
}

/* 360 */
@media (max-width: 767px) {
    .feedback {
        padding: 50px 0;
    }

    .feedback__slider {
        margin-top: 15px;
    }

    .feedback-item__img {
        height: 200px;
    }

    .feedback-item__overlay {
        padding: 10px;
    }

    .feedback-item__body {
        padding: 10px;
    }
}


/* GALLERY */
.gallery {
    padding: 150px 0;

    background: url("../assets/img/gallery/background.png") no-repeat right center / contain;
}

.gallery__head {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.gallery__body {
    margin-top: 20px;

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.gallery__item {
    width: 100%;
    height: 350px;
    object-fit: cover;
}

/* 1024 */
@media (max-width: 1239px) {
    .gallery {
        padding: 100px 0;

        background: none;
    }

    .gallery__body {
        grid-template-columns: repeat(3, 1fr);
    }

    .gallery__item {
        height: 290px;
    }
}

/* 360 */
@media (max-width: 767px) {
    .gallery {
        padding: 50px 0;
    }

    .gallery__head {
        flex-direction: column;
        align-items: flex-start;
        gap: 15px;
    }

    .gallery__body {
        margin-top: 15px;

        grid-template-columns: repeat(2, 1fr);
        gap: 15px;
    }

    .gallery__item {
        height: 200px;
    }
}


/* FOOTER */
.footer {
    padding: 50px 0;
}

.footer__container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer-logo__icon {
    width: 150px;
    height: 64px;

    display: block;
}

.footer__nav {
    display: flex;
    gap: 64px;
}

.footer__link {
    font-family: var(--font-sfProText);
    font-weight: 400;

    font-size: 24px;
    line-height: 1.5em;
}

/* 768 */
@media (max-width: 1023px) {
    .footer__nav {
        display: none;
    }
}

/* 360 */
@media (max-width: 767px) {
    .footer {
        padding: 20px 0;
    }

    .footer-logo__icon {
        width: 92px;
        height: 40px;
    }
}
